Commit 49c3e3cc authored by Armando Luescher's avatar Armando Luescher

Version 0.1.4

Tested with WP 4.8.
Added meta for https://github.com/afragen/github-updater
parent 8bb1ed40
......@@ -34,6 +34,6 @@
"require": {
"php": "^5.5|^7.0",
"_dummy_wp": "@dev",
"spomky-labs/otphp": "^8.2"
"spomky-labs/otphp": "^8.3"
}
}
......@@ -3,7 +3,7 @@
* The core functionality of the plugin
*
* @package Wp_Otp
* @since 0.1.0
* @since 0.1.0
*/
namespace Wp_Otp;
......
......@@ -2,8 +2,8 @@
Contributors: noplanman
Tags: login, 2fa, otp, totp, one time password, security, recovery, freeotp, google authenticator
Requires at least: 3.1.4
Tested up to: 4.7
Stable tag: 0.1.3
Tested up to: 4.8
Stable tag: 0.1.4
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/old-licenses/gpl-2.0.html
Donate link: https://paypal.me/noplanman
......@@ -70,6 +70,10 @@ Yes, just click the `Reconfigure` button on the profile page.
== Changelog ==
= 0.1.4 =
* Tested for WP 4.8.
* Update OTPHP to 0.8.3.
= 0.1.3 =
* Make OTP code input a normal text field, to allow input verification.
......
<?php
/**
* Plugin Name: WP-OTP
* Plugin URI: https://wordpress.org/plugins/wp-otp/
* Description: WP-OTP adds 2 Factor Authentication using TOTP or HOTP. (Based on "WP Secure Login" by Brijesh Kothari)
* Version: 0.1.3
* Author: Armando Lüscher
* Author URI: https://noplanman.ch
* License: GPLv3 or later
* Text Domain: wp-otp
* Domain Path: /languages
* Plugin Name: WP-OTP
* Plugin URI: https://wordpress.org/plugins/wp-otp/
* Description: WP-OTP adds 2 Factor Authentication using TOTP or HOTP. (Based on "WP Secure Login" by Brijesh Kothari)
* Version: 0.1.4
* Author: Armando Lüscher
* Author URI: https://noplanman.ch
* License: GPL-3.0+
* Text Domain: wp-otp
* License URI: https://www.gnu.org/licenses/gpl-3.0.txt
* Domain Path: /languages
* GitHub Plugin URI: noplanman/wp-otp
* GitHub Branch: master
*
* @package Wp_Otp
* @since 0.1.0
*/
......@@ -19,7 +23,7 @@ defined( 'WPINC' ) || exit;
// Define constants.
define( 'WP_OTP_SLUG', 'wp-otp' );
define( 'WP_OTP_VERSION', '0.1.3' );
define( 'WP_OTP_VERSION', '0.1.4' );
require_once __DIR__ . '/vendor/autoload.php';
require_once __DIR__ . '/includes/class-wp-otp.php';
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment